# columns.

import tracemalloc

def read_bus_columns(filename):
    routes = [ ]
    dates = [ ]
    daytypes = [ ]
    rides = [ ]
    with open(filename) as file:
        next(file)   # Skip headers
        for line in file:
            parts = line.split(',')
            routes.append(parts[0])
            dates.append(parts[1])
            daytypes.append(parts[2])
            rides.append(int(parts[3]))

    return (routes, dates, daytypes, rides)

tracemalloc.start()
columns = read_bus_columns('ctabus.csv')     # About 122MB
print(tracemalloc.get_traced_memory())
